QuickHashIntSet
QuickHashIntSet::__construct
QuickHashIntSet
PHP Manual

# QuickHashIntSet::add

(PECL quickhash >= Unknown)

QuickHashIntSet::add — This method adds a new entry to the set

### Description

public bool QuickHashIntSet::add ( int `$key` )

This method adds a new entry to the set, and returns whether the entry was added. Entries are by default always added unless QuickHashIntSet::CHECK_FOR_DUPES has been passed when the set was created.

### Parameters

`key`

  The key of the entry to add.

### Return Values

`TRUE` when the entry was added, and `FALSE` if the entry was not added.

### Examples

Example #1 QuickHashIntSet::add() example

`<?php
echo "without dupe checking\n";
$set = new QuickHashIntSet( 1024 );
var_dump( $set->exists( 4 ) );
var_dump( $set->add( 4 ) );
var_dump( $set->exists( 4 ) );
var_dump( $set->add( 4 ) );
echo "\nwith dupe checking\n";
$set = new QuickHashIntSet( 1024, QuickHashIntSet::CHECK_FOR_DUPES );
var_dump( $set->exists( 4 ) );
var_dump( $set->add( 4 ) );
var_dump( $set->exists( 4 ) );
var_dump( $set->add( 4 ) );
?>`

The above example will output something similar to:

    without dupe checking
    bool(false)
    bool(true)
    bool(true)
    bool(true)

    with dupe checking
    bool(false)
    bool(true)
    bool(true)
    bool(false)

QuickHashIntSet
QuickHashIntSet::__construct
QuickHashIntSet
PHP Manual